{% extends "base.html" %}
{% block content %}
	<h4>Question : -</h4>
	<article class="media content-section">
	  <img class="rounded-circle article-img" src="{{ url_for('static', filename='profile_pics/' + question.author.image_file) }}">
	  <div class="media-body">
	    <div class="article-metadata">
	      <a class="mr-2" href="#">{{ question.author.username }}</a>
	      <small class="text-muted">{{ question.date_posted.strftime('%Y-%m-%d') }}</small>
	      {% if question.author == current_user %}
	      	<a class="btn btn-secondary btn-sm mt-1 mb-1" href="{{ url_for('update_question', question_id=question.id) }}">Update</a>
	      	<button type="button" class="btn btn-danger btn-sm m-1" data-toggel="modal" data-target="#deleteModal">Delete</button>
	      {% endif %}
	    </div>
	    <h2 class=article-title"">{{ question.subject }}</h2>
	    <p class="article-content">{{ question.content }}</p>
	  </div>	
	</article>
	<!-- Modal -->
	  <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel" aria-hidden="true">
	    <div class="modal-dialog" role="document">
	      <div class="modal-content">
	        <div class="modal-header">
	          <h5 class="modal-title" id="deleteModalLabel">Delete Question?</h5>
	          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
	            <span aria-hidden="true">&times;</span>
	          </button>
	        </div>
	        <div class="modal-footer">
	          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
	          <form action="{{ url_for('delete_question', question_id=question.id) }}" method="POST">
	            <input class="btn btn-danger" type="submit" value="Delete">
	          </form>
	        </div>
	      </div>
	    </div>
	  </div>
	  {% if answers[0] %}
		  {% for answer in answers %}
		  		<h4>Answer : </h4>
				<article class="media content-section">
				  <img class="rounded-circle article-img" src="{{ url_for('static', filename='profile_pics/' + answer.author.image_file) }}">
				  <div class="media-body">
				    <div class="article-metadata">
				      <a class="mr-2" href="#">{{ answer.author.username }}</a>
				      <small class="text-muted">{{ answer.date_posted.strftime('%Y-%m-%d') }}</small>
				    </div>
				    <p class="article-content">{{ answer.content }}</p>
				  </div>	
				</article>
			{% endfor %}
		{% else %}
			<h4>There is no answer for this question</h4><br/>
		{% endif %}
		<h4>Submit your answer</h4>
		<div class="content-section">
		<form method="POST" action="">
			{{ form.hidden_tag() }}
			<fieldset class="form-group">
				<legend class="border-bottom mb-4">Give Answer</legend>

				<div class="form-group">
					{{ form.content.label(class="form-control-label") }}
					{% if form.content.errors %}
						{{ form.content(class="form-control form-control-lg is-invalid") }}
						<div class="invalid-feedback">
							{% for error in form.content.errors %}
								<span>{{ error }}</span>
							{% endfor %}
						</div>
					{% else %}
						{{ form.content(class="form-control form-control-lg") }}
					{% endif %}
				</div>

			</fieldset>
			<div class="form-group">
				{{ form.submit(class="btn btn-outline-info") }}
			</div>
		</form>
	</div>
{% endblock content %}